This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986364 - Kernel crashes when deprived of memory using virtio_balloon
Kernel crashes when deprived of memory using virtio_balloon
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 10:45 EDT by Martin Sivák
Modified: 2013-10-08 12:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:51:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg of the machine during my balloon testing (252.12 KB, text/plain)
2013-07-19 10:45 EDT, Martin Sivák
no flags Details

  None (edit)
Description Martin Sivák 2013-07-19 10:45:14 EDT
Created attachment 775837 [details]
Dmesg of the machine during my balloon testing

Description of problem:

I booted virtualized x86_64 LiveCD of Fedora 19 (1GB of RAM), connected to it using virsh console and then used virsh setmem to deprive it of memory.

It crashed :)


Version-Release number of selected component (if applicable):

F19 LiveCD x86_64

How reproducible:

I haven't tried it again, but virsh setmem <name> 1000 should do the trick.

Steps to Reproduce:
1. Boot the VM in the current ovirt setup (3.3, but it is probably not necessary)
2. use virsh to deprive it of memory
3. watch the spectacle in dmesg

Actual results:

Kernel tracebacks and crashes (it actually killed the VM at the end)

Expected results:

Something graceful... virtio_balloon should not reclaim so much memory it kills the system I guess.
Comment 1 Josh Boyer 2013-09-18 16:24:24 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Josh Boyer 2013-10-08 12:51:50 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.